Subject: Re: [PATCH v3] dmaengine: driver support for FSL RaidEngine device.

From: Vinod Koul <[email-masked]>
Date: Fri, 17 Oct 2014 13:00:53 +0530

On Fri, Oct 17, 2014 at 02:13:20AM +0000, Xuelin Shi wrote:
> Hi Dan & Vinod,
> 
> I have sent out the v4 of this patch and not received any further feedback yet.
> 
> This patch looks ruled out from the patchwork. https://patchwork.kernel.org/project/linux-dmaengine/list/?page=2
> 
> So do you know what happened to this patch?

First pls do not top post on mailing list

Yes I did clean patchworks this week for older patches, can you please
resubmit and we can review them

Thanks
-- 
~Vinod

> 
> Thanks,
> Xuelin Shi
> 
> 
> -----Original Message-----
> From: Shi Xuelin-B29237 
> Sent: 2014年4月15日 11:08
> To: 'Dan Williams'
> Cc: Koul, Vinod; [email-masked]; [email-masked]; linuxppc-dev; Rai Harninder-B01044; Burmi Naveen-B16502
> Subject: RE: [PATCH v3] dmaengine: driver support for FSL RaidEngine device.
> 
> Yes, "depend on !ASYNC_TX_CHANNEL_SWITCH" is better since fsldma selects this condition.
> 
> Thanks,
> Xuelin Shi
> 
> -----Original Message-----
> From: Dan Williams [mailto:[email-masked]]
> Sent: 2014年4月15日 8:30
> To: Shi Xuelin-B29237
> Cc: Koul, Vinod; [email-masked]; [email-masked]; linuxppc-dev; Rai Harninder-B01044; Burmi Naveen-B16502
> Subject: Re: [PATCH v3] dmaengine: driver support for FSL RaidEngine device.
> 
> On Sun, Apr 13, 2014 at 7:48 PM, Xuelin Shi <[email-masked]> wrote:
> > Hi Dan,
> >
> > fsl dma device and fsl raid device are two differenct devices that 
> > both provide async_memcpy capability, so I use !FSL_DMA to disable the fsl dma device.
> >
> > That's to say, either select fsldma device, either fsl raid device.
> >
> 
> Right, but that's not what your proposed Kconfig dependency line does.
> 
> You want something like "depends on FSL_SOC && !(FSL_DMA || FSL_DMA=m)"
> 
> However, the more problematic option is ASYNC_TX_CHANNEL_SWITCH.  That option is problematic for RAID, so I propose "depend on !ASYNC_TX_CHANNEL_SWITCH" since that addresses both problems.
> 
> 

--